<?php

require_once("$STPHPLIB_DIR/stphpcomponent.php");

/**
* A class that represents a simple button
*
* @version 0.8
* @author Roberto Gerola <roberto.gerola@speedtech.it>
* @package stphplib
*/
class STPHPButton extends STPHPComponent
{
        /**
	* Creates the object
	*
	* @access public
	* @return STPHPEdit
	* @param string $name
	*/
        function STPHPButton($name)
        {
                STPHPComponent::STPHPComponent($name);
        }

	/**
	* Designs the object at runtime
	*
	* Available attributes :
	* - VISIBLE : defines if the component must be designed or not
	* - NAME : defines the name of the form (if empty $name of the object is used)
	* - VALUE : the caption of the button
	* - DISABLED : if 'TRUE' the control is disabled
	* - SIZE: the horizontal length of the control
	* - CLASS : defines the CSS class
	*
	* @access private
	* @return string The code that represents the object at runtime
	*/
	function write()
	{
		$retValue = '';
		if($this->getAttribute('VISIBLE') == 'FALSE')
		{
			return '';
		}

                if($this->attributeIsEmpty('NAME'))
		{
			$this->setAttribute('NAME', $this->name);
		}

		$retValue .= '<INPUT TYPE="button"';
		
		if(!$this->attributeIsEmpty('NAME'))
                {
			$retValue .= ' NAME="' . $this->getAttribute('NAME') . '" ';
		}

		if(!$this->attributeIsEmpty('VALUE'))
                {
			$retValue .= ' VALUE="' . $this->getTranslatedAttribute('VALUE') . '" ';
		}

		if($this->getAttribute('DISABLED') == 'TRUE')
                {
			$retValue .= ' DISABLED ';
		}

		if(!$this->attributeIsEmpty('SIZE'))
                {
			$retValue .= ' SIZE=' . $this->getAttribute('SIZE') . ' ';
		}

		if(!$this->attributeIsEmpty('CLASS'))
                {
			$retValue .= ' CLASS="' . $this->getAttribute('CLASS') . '" ';
		}

		$retValue .= '>';

		return $retValue;       
       }
}

?>
