<?php

require_once("$STPHPLIB_DIR/stphpcontrolwithcaption.php");
require_once("$STPHPLIB_DIR/stphpcheckbox.php");

/**
* A class that represents a checkbox with a caption
*
* @version 0.8
* @author Roberto Gerola <roberto.gerola@speedtech.it>
* @package stphplib
*/
class STPHPCheckBoxWithCaption extends STPHPControlWithCaption
{
        /**
	* Creates the object
	*
	* @access public
	* @return STPHPCheckBoxWithCaption
	* @param string $name
	*/
        function STPHPCheckBoxWithCaption($name)
        {
                STPHPControlWithCaption::STPHPControlWithCaption($name);
                $this->control = new STPHPCheckBox('chk_' . $name);

                global $STJSLIB_DIR;
                $this->addCodeFile($STJSLIB_DIR . '/stjscheckboxwithcaption.js');
        }

	/**
	* Prepare the objects and attributes before the designing of the object. Called automatically by write() method.
	*
	* @access private
	*/
        function prepareWrite()
        {
                $this->control->setAttribute('DISABLED', $this->attributes['DISABLED']);
                $this->control->setAttribute('CHECKED', $this->attributes['CHECKED']);

                $ctlName = 'document.' . $this->getFormParent() . '.' . $this->control->getName();
                $link  = '<a href="javascript://"';
                if(!empty($this->attributes['CAPTION_CLASS']))
                {
                        $link .= ' class="' . $this->attributes['CAPTION_CLASS'] . '"';
                }
                
                if($this->control->getAttribute('DISABLED')!='TRUE')
                {
                        $link .= ' onclick="javascript:STJSCheckBoxWithCaption_click(' . $ctlName . ')"';
                }
                $link .= '>';
                $link .= $this->getTranslatedAttribute('CAPTION');;
                $link .= '</A>';
                $this->setAttribute('CAPTION', $link);

                STPHPControlWithCaption::prepareWrite();
        }
}

?>
