<?php

require_once("$STPHPLIB_DIR/stphpcomponent.php");

/**
* @version 0.8
* @author Roberto Gerola <roberto.gerola@speedtech.it>
* @package stphplib
*/
class STPHPLabel extends STPHPComponent
{
        /**
	* Creates the object
	*
	* @access public
	* @return STPHPLabel
	* @param string $name
	*/
	function STPHPLabel($name)
        {
                STPHPComponent::STPHPComponent($name);
        }

	/**
	* Designs the object at runtime
	*
	* Available attributes :
	* - VISIBLE : defines if the component must be designed or not
	* - ALIGN : defines the horizontal alignment
	* - LINK : defines the link for the label
	* - LINK_TARGET : defines the target for the link
	* - ONCLICK : defines the onclick event hook
	* - TEXT : defines the labels caption
	* - TITLE : defines the title for the link	
	* - CLASS : defines the CSS class
	*
	* @access private
	* @return string the code that represents the object at runtime
	*/
        function write()
        {               
                $retValue = '';

		if($this->getAttribute('VISIBLE') == 'FALSE')
		{
			return '';
		}

                if(!$this->attributeIsEmpty('ALIGN'))
                {
                        $retValue .= '<DIV ALIGN="' . $this->getAttribute('ALIGN') . '">';
                }

		$retValue .= '<SPAN';
                if(!$this->attributeIsEmpty('CLASS'))
                {
			$link_class = ' CLASS="' . $this->getAttribute('CLASS') . '" ';
		}
		$retValue .= '>';

		if(!$this->attributeIsEmpty('LINK'))
                {

                        $link=$this->getAttribute('LINK');

                        if(!$this->attributeIsEmpty('CLASS'))
                        {
                                $link_class = 'CLASS="' . $this->getAttribute('CLASS') . '"';
                        }
                        $retValue .= '<A HREF="' . $link . '" ' . $link_class . ' ';
                        if(!$this->attributeIsEmpty('LINK_TARGET'))
                        {
                                $retValue .= 'TARGET=' . $this->getAttribute('LINK_TARGET');
                        }
                        if(!$this->attributeIsEmpty('CLASS'))
                        {
                                $link_class = 'CLASS="' . $this->getAttribute('CLASS') . '"';
                        }
                        if(!$this->attributeIsEmpty('TITLE'))
                        {
                                $link_class = 'TITLE="' . $this->getTranslatedAttribute('TITLE') . '"';
                        }
                        if(!$this->attributeIsEmpty('ONCLICK'))
                        {
                                $link_class = 'ONCLICK="' . $this->getAttribute('ONCLICK') . '"';
                        }
                        $retValue .= '>';
                }

                $retValue .= $this->getTranslatedAttribute('TEXT');
                if(!$this->attributeIsEmpty('LINK'))
                {
                        $retValue .= '</A>';
                }

		$retValue .= '</SPAN>';

		if(!$this->attributeIsEmpty('ALIGN'))
                {
                        $retValue .= '</DIV>';
                }

		return $retValue;
        }

}

?>
