<?php

require_once("$STPHPLIB_DIR/stphptable.php");
require_once("$STPHPLIB_DIR/stphptabtitle.php");

/**
* A class that represents a panl with an optional title
*
* @version 0.8
* @author Roberto Gerola <roberto.gerola@speedtech.it>
* @package stphplib
*/
class STPHPPanel extends STPHPTable
{
        /**
	* Creates the object
	*
	* @access public
	* @return STPHPPanel
	* @param string $name
	*/
        function STPHPPanel($name)
        {
                STPHPTable::STPHPTable($name);

                $this->rows[1] = new STPHPTableRow("row1");
                $this->cells[1][1] = new STPHPTableCell("cell11");
                $this->rows[1]->addComponent($this->cells[1][1]);
                $this->cells[1][2] = new STPHPTableCell("cell12");
                $this->cells[1][2]->setAttribute('ALIGN', 'LEFT');
                $this->cells[1][2]->setAttribute('VALIGN', 'BOTTOM');
                $this->rows[1]->addComponent($this->cells[1][2]);
                $this->cells[1][3] = new STPHPTableCell("cell13");
                $this->cells[1][3]->setAttribute('ALIGN', 'CENTER');
                $this->cells[1][3]->setAttribute('VALIGN', 'BOTTOM');
                $this->rows[1]->addComponent($this->cells[1][3]);
                $this->cells[1][4] = new STPHPTableCell("cell14");
                $this->cells[1][4]->setAttribute('ALIGN', 'RIGHT');
                $this->cells[1][4]->setAttribute('VALIGN', 'BOTTOM');
                $this->rows[1]->addComponent($this->cells[1][4]);
                $this->cells[1][5] = new STPHPTableCell("cell15");
                $this->rows[1]->addComponent($this->cells[1][5]);

                $this->rows[2] = new STPHPTableRow("row2");
                $this->cells[2][1] = new STPHPTableCell("cell21");
                $this->cells[2][1]->setAttribute('VALIGN', 'TOP');
                $this->rows[2]->addComponent($this->cells[2][1]);
                $this->cells[2][2] = new STPHPTableCell("cell22");
                $this->cells[2][2]->setAttribute('ROWSPAN', '3');
                $this->cells[2][2]->setAttribute('COLSPAN', '3');
                $this->rows[2]->addComponent($this->cells[2][2]);
                $this->cells[2][3] = new STPHPTableCell("cell23");
                $this->cells[2][3]->setAttribute('VALIGN', 'TOP');
                $this->rows[2]->addComponent($this->cells[2][3]);

                $this->rows[3] = new STPHPTableRow("row3");
                $this->cells[3][1] = new STPHPTableCell("cell31");
                $this->cells[3][1]->setAttribute('VALIGN', 'MIDDLE');
                $this->rows[3]->addComponent($this->cells[3][1]);
                $this->cells[3][2] = new STPHPTableCell("cell32");
                $this->cells[3][2]->setAttribute('VALIGN', 'MIDDLE');
                $this->rows[3]->addComponent($this->cells[3][2]);

                $this->rows[4] = new STPHPTableRow("row4");
                $this->cells[4][1] = new STPHPTableCell("cell41");
                $this->cells[4][1]->setAttribute('VALIGN', 'BOTTOM');
                $this->rows[4]->addComponent($this->cells[4][1]);
                $this->cells[4][2] = new STPHPTableCell("cell42");
                $this->cells[4][2]->setAttribute('VALIGN', 'BOTTOM');
                $this->rows[4]->addComponent($this->cells[4][2]);

                $this->rows[5] = new STPHPTableRow("row5");
                $this->cells[5][1] = new STPHPTableCell("cell51");
                $this->rows[5]->addComponent($this->cells[5][1]);
                $this->cells[5][2] = new STPHPTableCell("cell52");
                $this->cells[5][2]->setAttribute('ALIGN', 'LEFT');
                $this->cells[5][2]->setAttribute('VALIGN', 'TOP');
                $this->rows[5]->addComponent($this->cells[5][2]);
                $this->cells[5][3] = new STPHPTableCell("cell53");
                $this->cells[5][3]->setAttribute('ALIGN', 'CENTER');
                $this->cells[5][3]->setAttribute('VALIGN', 'TOP');
                $this->rows[5]->addComponent($this->cells[5][3]);
                $this->cells[5][4] = new STPHPTableCell("cell54");
                $this->cells[5][4]->setAttribute('ALIGN', 'RIGHT');
                $this->cells[5][4]->setAttribute('VALIGN', 'TOP');
                $this->rows[5]->addComponent($this->cells[5][4]);
                $this->cells[5][5] = new STPHPTableCell("cell55");
                $this->rows[5]->addComponent($this->cells[5][5]);

                $this->addComponent($this->rows[1]);
                $this->addComponent($this->rows[2]);
                $this->addComponent($this->rows[3]);
                $this->addComponent($this->rows[4]);
                $this->addComponent($this->rows[5]);
        }

	/**
	* Inserts a component at the beginning of the panels components list
	*
	*
	* @access public
	* @param STPHPTableRow &$component the component to add
	*/
        function insertComponentToPanel(&$component)
        {
                $this->cells[2][2]->insertComponent($component);
        }

	/**
	* Adds a component at the end of the panels components list
	*
	*
	* @access public
	* @param STPHPTableRow &$component the component to add
	*/
        function addComponentToPanel(&$component)
        {
                $this->cells[2][2]->addComponent($component);
        }

	/**
	* Appends a component at the end of the panels components list
	*
	*
	* @access public
	* @param STPHPTableRow &$component the component to add
	*/
        function appendComponentToPanel(&$component)
        {
                $this->cells[2][2]->appendComponent($component);
        }

	/**
	* Prepare the objects and attributes before the designing of the object. Called automatically by write() method.
	*
	* @access private
	*/
        function prepareWrite()
        {

                $this->cells[2][2]->setAttribute('CLASS', $this->getAttribute('CLASS'));

                $title = $this->getTranslatedAttribute('TITLE');
                if(!empty($title))
                {
                        $this->tblTitle = new STPHPTabTitle('tblTitle');
                        $this->tblTitle->setAttribute('TITLE', $title);
                        $this->tblTitle->setAttribute('CLASS', $this->getAttribute('TITLE_CLASS'));
                        $this->tblTitle->setAttribute('TEXTALIGN', $this->getAttribute('TITLE_TEXTALIGN'));
                        $this->tblTitle->setAttribute('IMAGE', $this->getAttribute('TITLE_IMAGE'));
                        $this->tblTitle->setAttribute('IMAGEALIGN', $this->getAttribute('TITLE_IMAGEALIGN'));

                        $title_position = strtoupper($this->getAttribute('TITLE_POSITION'));
                        $title_align = strtoupper($this->getAttribute('TITLE_ALIGN'));

                        switch($title_position)
                        {
                                case 'TOP':
                                        $row = 1;
                                        switch($title_align)
                                        {
                                                case 'LEFT':
                                                $col=2;
                                                break;
                                                case 'CENTER':
                                                $col=3;
                                                break;
                                                case 'RIGHT':
                                                $col=4;
                                                break;
                                                default:
                                                $col=2;
                                                break;
                                        }
                                        break;
                                case 'BOTTOM':
                                        $row = 5;
                                        switch($title_align)
                                        {
                                                case 'LEFT':
                                                $col=2;
                                                break;
                                                case 'CENTER':
                                                $col=3;
                                                break;
                                                case 'RIGHT':
                                                $col=4;
                                                break;
                                                default:
                                                $col=2;
                                                break;
                                        }
                                        break;
                                case 'LEFT':
                                        $col = 1;
                                        switch($title_align)
                                        {
                                                case 'TOP':
                                                $row=2;
                                                break;
                                                case 'MIDDLE':
                                                $row=3;
                                                break;
                                                case 'BOTTOM':
                                                $row=4;
                                                break;
                                                default:
                                                $row=2;
                                                break;
                                        }
                                        break;
                                case 'RIGHT':
                                        switch($title_align)
                                        {
                                                case 'TOP':
                                                $col=3;
                                                $row=2;
                                                break;
                                                case 'MIDDLE':
                                                $col=2;
                                                $row=3;
                                                break;
                                                case 'BOTTOM':
                                                $col=2;
                                                $row=4;
                                                break;
                                                default:
                                                $col=3;
                                                $row=2;
                                                break;
                                        }
                                        break;
                                default :
                                        $row = 1;
                                        $col = 2;
                                        break;
                        }
                        $this->cells[$row][$col]->addComponent($this->tblTitle);
                }
                $this->cells[2][2]->setAttribute('CLASS', $this->getAttribute('CLASS'));
        }
	
	/**
	* Designs the object at runtime
	*
	* Available attributes :
	*
	* @access private
	* @return string the code that represents the object at runtime
	*/
	function write()
	{
		$this->prepareWrite();
		return STPHPTable::write();
	}
}

?>
