<?php

require_once("$STPHPLIB_DIR/stphpcontrolwithcaption.php");
require_once("$STPHPLIB_DIR/stphpradiobutton.php");

/**
* @version 0.8
* @author Roberto Gerola <roberto.gerola@speedtech.it>
* @package stphplib
*/
class STPHPRadioButtonWithCaption extends STPHPControlWithCaption
{

        /**
	* Creates the object
	*
	* @access public
	* @return STPHPEditWithCaption
	* @param string $name
	*/
        function STPHPRadioButtonWithCaption($name)
        {
                STPHPControlWithCaption::STPHPControlWithCaption($name);
                $this->control = new STPHPRadioButton('rdb_' . $name);

                global $STJSLIB_DIR;
                $this->addCodeFile($STJSLIB_DIR . '/stjsradiobuttonwithcaption.js');

                $this->index = 0;
        }

        /**
	* Destructor
	*
	* Destroys all the resources associated with the object
	*
	* @access public
	*/
        function dtor()
        {
                unset($this->index);
		STPHPControlWithCaption::dtor();
        }

	/**
	* Set the index number
	*
	* @access public
	* @param integer $index
	*/
	function setIndex($index)
        {
                $this->index = $index;
        }

	/**
	* Prepare the objects and attributes before the designing of the object. Called automatically by write() method.
	*
	* @access private
	*/
        function prepareWrite()
        {
                $this->control->setAttribute('DISABLED', $this->attributes['DISABLED']);
                $this->control->setAttribute('CHECKED', $this->attributes['CHECKED']);

                $ctlName = 'document.' . $this->getFormParent() . '.' . $this->control->getName();
                $link  = '<a href="javascript://"';
                if(!empty($this->attributes['CAPTION_CLASS']))
                {
                        $link .= ' class="' . $this->attributes['CAPTION_CLASS'] . '"';
                }
                
                if($this->control->getAttribute('DISABLED')!='TRUE')
                {
                        if(!empty($this->index))
			{
				$link .= ' onclick="javascript:STJSRadioButtonWithCaption_click(' . $ctlName . ',' . $this->index . ')"';
			}
			else
			{
				$link .= ' onclick="javascript:STJSRadioButtonWithCaption_click(' . $ctlName . ',0)"';
			}
                }
                $link .= '>';
                $link .= $this->getTranslatedAttribute('CAPTION');
                $link .= '</A>';
                $this->setAttribute('CAPTION', $link);

                STPHPControlWithCaption::prepareWrite();
        }

        /**
	* The index of the radiobutton
	* @access private
	* @var integer
	*/
        var $index;
}

?>
