<?php

require_once("$STPHPLIB_DIR/stphpcomponent.php");

/**
* A class that represnts a rich button
*
* Can contain other components (tipically an image)
*
* @version 0.8
* @author Roberto Gerola <roberto.gerola@speedtech.it>
* @package stphplib
*/
class STPHPRichButton extends STPHPComponent
{
        function STPHPRichButton($name)
        {
                STPHPComponent::STPHPComponent($name);
                $this->openTag="<button name=\"$name\">";
                $this->closeTag="</button>";
        }
	
	/**
	* Designs the object at runtime
	*
	* Available attributes :
	* - VISIBLE : defines if the component must be designed or not
	* - VALUE : defines the vlaue of the button
	* - TYPE : defines the type of the button (submit|reset|button -  button is the default value
	* - CLASS : defines the CSS class
	*
	* @access private
	* @return string the code that represents the object at runtime
	*/
	function write()
	{
		$retValue = '';
		if($this->getAttribute('VISIBLE') == 'FALSE')
		{
			return '';
		}

                if($this->attributeIsEmpty('NAME'))
		{
			$this->setAttribute('NAME', $this->name);
		}

		$retValue .= '<BUTTON';
		
		if(!$this->attributeIsEmpty('NAME'))
                {
			$retValue .= ' NAME="' . $this->getAttribute('NAME') . '" ';
		}
	
		if(!$this->attributeIsEmpty('VALUE'))
                {
			$retValue .= ' VALUE="' . $this->getAttribute('VALUE') . '" ';
		}

		if(!$this->attributeIsEmpty('TYPE'))
                {
			$retValue .= ' TYPE="' . $this->getAttribute('TYPE') . '" ';
		}
		else
		{
			$retValue .= ' TYPE="button" ';
		}

		if(!$this->attributeIsEmpty('CLASS'))
                {
			$retValue .= ' CLASS="' . $this->getAttribute('CLASS') . '" ';
		}
		
		$retValue .= '>';
		
                if(isset($this->components))
                {
                        while (list ($key, $val) = each ($this->components))
                        {
                                $retValue .= $val->write();
                        }
                }		

		$retValue .=  $this->getTranslatedAttribute('TEXT');
		
		$retValue .= '</BUTTON>';
		return $retValue;
	}
}

?>