<?php

require_once("$STPHPLIB_DIR/stphpcomponent.php");

/**
* @version 0.8
* @author Roberto Gerola <roberto.gerola@speedtech.it>
* @package stphplib
*/
class STPHPSpacer extends STPHPComponent
{
        /**
	* Creates the object
	*
	* @access public
	* @return STPHPEdit
	* @param string $name
	*/
        function STPHPSpacer($name)
        {
                STPHPComponent::STPHPComponent($name);

		$this->units=0;
		$this->spaceType = 'HORIZONTAL';
        }

        /**
	* Destructor
	*
	* Destroys all the resources associated with the object
	*
	* @access public
	*/
        function dtor()
        {
                unset($this->units);
                unset($this->spaceType);
                STPHPComponent::dtor();
        }

        /**
	* Sets the space type
	*
	* @access public
	* @param string $spaceType (HORIZONTAL/VERTICAL)
	*/
        function setSpaceType($spaceType)
        {
                $this->spaceType=$spaceType;
        }

        /**
	* Sets the number of space units
	*
	* @access public
	* @param integer $units
	*/
        function setUnits($units)
        {
                $this->units=$units;
        }

	/**
	* Designs the object at runtime
	*
	* Available attributes :
	* - VISIBLE : defines if the component must be designed or not
	*
	* @access private
	* @return string the code that represents the object at runtime
	*/
        function write()
        {
		$retValue = '';
		if($this->getAttribute('VISIBLE') == 'FALSE')
		{
			return '';
		}

                $retValue  = "";

                if($this->spaceType=='HORIZONTAL')
                {
                        $code = '&nbsp;';
                }
                else if($this->spaceType=='VERTICAL')
                {
                        $code = '<BR>';
                }
		else
		{
			$code = '';
		}

                $retValue .= str_repeat($code, $this->units);

                return $retValue;
        }

        /**
	* The number of space units
	* @access private
	* @var integer
	*/
        var $units;

        /**
	* The type of space (HORIZONTAL/VERTICAL)
	* @access private
	* @var string
	*/
	var $spaceType;
}

?>
