<?php

require_once("$STPHPLIB_DIR/stphpcomponent.php");

/**
* @version 0.8
* @author Roberto Gerola <roberto.gerola@speedtech.it>
* @package stphplib
*/
class STPHPTableCell extends STPHPComponent
{
        /**
	* Creates the object
	*
	* @access public
	* @return STPHPTableCell
	* @param string $name
	*/
        function STPHPTableCell($name)
        {
                STPHPComponent::STPHPComponent($name);
        }
	
	/**
	* Designs the object at runtime
	*
	* Available attributes :
	* - VISIBLE : defines if the component must be designed or not
	* - COLSPAN : defines the number of cols that the cell spans
	* - ROWSPAN : defines the number of rows that the cell spans
	* - ALIGN : defines the horizontal alignment of the cell
	* - VALIGN : defines the vertical alignment of the row
	* - WIDTH : defines the width of the cell
	* - HEIGHT : defines the height of the cell
	* - CLASS : defines the CSS class
	*
	* @access private
	* @return string the code that represents the object at runtime
	*/
	function write()
	{
		$retValue = '';
		if($this->getAttribute('VISIBLE') == 'FALSE')
		{
			return '';
		}

		$retValue .= '<TD';
		
		if(!$this->attributeIsEmpty('COLSPAN'))
                {
			$retValue .= ' COLSPAN=' . $this->getAttribute('COLSPAN') . ' ';
		}
		
		if(!$this->attributeIsEmpty('ROWSPAN'))
                {
			$retValue .= ' ROWSPAN=' . $this->getAttribute('ROWSPAN') . ' ';
		}

		if(!$this->attributeIsEmpty('ALIGN'))
                {
			$retValue .= ' ALIGN=' . $this->getAttribute('ALIGN') . ' ';
		}

		if(!$this->attributeIsEmpty('VALIGN'))
                {
			$retValue .= ' VALIGN=' . $this->getAttribute('VALIGN') . ' ';
		}

		if(!$this->attributeIsEmpty('WIDTH'))
                {
			$retValue .= ' WIDTH="' . $this->getAttribute('WIDTH') . '" ';
		}

		if(!$this->attributeIsEmpty('HEIGHT'))
                {
			$retValue .= ' HEIGHT="' . $this->getAttribute('WIDTH') . '" ';
		}

		if(!$this->attributeIsEmpty('CLASS'))
                {
			$retValue .= ' CLASS="' . $this->getAttribute('CLASS') . '" ';
		}
		
		$retValue .= '>';
		
                if(isset($this->components))
                {
                        while (list ($key, $val) = each ($this->components))
                        {
                                $retValue .= $val->write();
                        }
                }		

		$retValue .=  $this->getTranslatedAttribute('TEXT');
		
		$retValue .= '</TD>';
		return $retValue;
	}
}

?>
