<?php

require_once("$STPHPLIB_DIR/stphpcomponent.php");
require_once("$STPHPLIB_DIR/stphptablecell.php");

/**
* @version 0.8
* @author Roberto Gerola <roberto.gerola@speedtech.it>
* @package stphplib
*/
class STPHPTableRow extends STPHPComponent
{
        /**
	* Creates the object
	*
	* @access public
	* @return STPHPTableRow
	* @param string $name
	*/
        function STPHPTableRow($name)
        {
                STPHPComponent::STPHPComponent($name);
        }

	/**
	* Inserts a STPHPTableCell at the beginning of the components list
	*
	*
	* @access public
	* @param STPHPTableCell &$component the component to add
	*/
        function insertComponent(&$component)
        {
                if(is_a($component, "STPHPTableCell"))
                {
                        STPHPComponent::insertComponent($component);
                }
        }

	/**
	* Adds a STPHPTableCell at the end of the components list
	*
	*
	* @access public
	* @param STPHPTableCell &$component The component to add
	*/
        function addComponent(&$component)
        {
                $this->appendComponent($component);
        }

	/**
	* Appends a STPHPTableCell at the end of the components list
	*
	*
	* @access public
	* @param STPHPTableCell &$component The component to add
	*/
        function appendComponent(&$component)
        {
                if(is_a($component,"STPHPTableCell"))
                {
                        STPHPComponent::appendComponent($component);
                }
        }

	/**
	* Designs the object at runtime
	*
	* Available attributes :
	* - VISIBLE : defines if the component must be designed or not
	* - VALIGN : defines the vertical alignment of the row
	* - CLASS : defines the CSS class
	*
	* @access private
	* @return string the code that represents the object at runtime
	*/
	function write()
	{
		$retValue = '';
		if($this->getAttribute('VISIBLE') == 'FALSE')
		{
			return '';
		}

		$retValue .= '<TR';
		
		if(!$this->attributeIsEmpty('VALIGN'))
                {
			$retValue .= ' VALIGN="' . $this->getAttribute('VALIGN') . '" ';
		}

		if(!$this->attributeIsEmpty('CLASS'))
                {
			$retValue .= ' CLASS="' . $this->getAttribute('CLASS') . '" ';
		}
		
		$retValue .= '>';
		
                if(isset($this->components))
                {
                        while (list ($key, $val) = each ($this->components))
                        {
                                $retValue .= $val->write();
                        }
                }		
		
		$retValue .= '</TR>';
		return $retValue;
	}
}

?>
