<?php

require_once("$STPHPLIB_DIR/stphptable.php");
require_once("$STPHPLIB_DIR/stphplabel.php");
require_once("$STPHPLIB_DIR/stphpimage.php");

/**
* A class that represents the title and a tab of STPHPTabPanel component
*
* @version 0.8
* @author Roberto Gerola <roberto.gerola@speedtech.it>
* @package stphplib
*/
class STPHPTabTitle extends STPHPTable
{

        /**
	* Creates the object
	*
	* @access public
	* @return STPHPTabTitle
	* @param string $name
	*/
        function STPHPTabTitle($name)
        {
                STPHPTable::STPHPTable($name);

                $this->setNumOfRows(1);
                $this->setNumOfCols(1);
                $this->prepare();

        }

	/**
	* Prepare the objects and attributes before the designing of the object. Called automatically by write() method.
	*
	* @access private
	*/
        function prepareWrite()
        {
                switch(strtoupper($this->getAttribute('STATUS')))
                {
                        case 'ACTIVE':
                        $this->setAttribute('CLASS', $this->getAttribute('CLASS_ACTIVE'));
                        break;
                        case 'INACTIVE':
                        $this->setAttribute('CLASS', $this->getAttribute('CLASS_INACTIVE'));
                        break;
                        case 'SELECTED':
                        $this->setAttribute('CLASS', $this->getAttribute('CLASS_SELECTED'));
                        break;
                        case 'DESELECTED':
                        $this->setAttribute('CLASS', $this->getAttribute('CLASS_DESELECTED'));
                        break;
                }

                $title = $this->getTranslatedAttribute('TITLE');

                if(strtoupper($this->getAttribute('TEXTALIGN')) == 'VERTICAL')
                {
                        $len = strlen($title);
                        $vertitle = '';
                        for($i=0; $i<$len; $i++)
                        {
                                $vertitle .= substr($title, $i, 1) . '<BR>';
                        }
                        $title = $vertitle;
                }
                else
                {
                        $title .= '&nbsp;&nbsp;';
                }

                $this->lbl = new STPHPLabel('lbl');
                $this->lbl->setAttribute('CLASS', $this->getAttribute('CLASS'));
                $this->lbl->setAttribute('LINK', $this->getAttribute('LINK'));
                $this->lbl->setAttribute('LINK_TARGET', $this->getAttribute('LINK_TARGET'));

                $imagesrc = $this->getAttribute('IMAGE');
                $imagealign = $this->getAttribute('IMAGEALIGN');

                if(!empty($imagesrc))
                {
                        if(strtoupper($this->getAttribute('TEXTALIGN')) == 'VERTICAL')
                        {
                                $title = '<BR>' . $title . '<BR>';
                        }
                        $this->lbl->setAttribute('TEXT', $title);

                        $this->image = new STPHPImage('image');
                        $this->image->setAttribute('BORDER', 0);
                        $this->image->setAttribute('SRC', $imagesrc);
                        $this->image->setAttribute('CLASS', $this->getAttribute('CLASS'));
                        $this->image->setAttribute('LINK', $this->getAttribute('LINK'));
                        $this->image->setAttribute('LINK_TARGET', $this->getAttribute('LINK_TARGET'));
                        $this->image->setAttribute('HSPACE', 2);
                        $this->image->setAttribute('VSPACE', 2);
                        $this->image->setAttribute('ALIGN', $imagealign);
                        $this->image->setAttribute('ALT', $this->getAttribute('TITLE'));

                        if($imagealign=='RIGHT')
                        {
                                $this->addComponentToCell(1, 1, $this->lbl);
                                $this->addComponentToCell(1, 1, $this->image);
                        }
                        else
                        {
                                $this->addComponentToCell(1, 1, $this->image);
                                $this->addComponentToCell(1, 1, $this->lbl);
                        }
                }
                else
                {
                        $this->lbl->setAttribute('TEXT', $title);
                        $this->addComponentToCell(1, 1, $this->lbl);
                }
        }
	
	/**
	* Designs the object at runtime
	*
	* Available attributes :
	*
	* @access private
	* @return string the code that represents the object at runtime
	*/
	function write()
	{
		$this->prepareWrite();
		return STPHPTable::write();
	}	
}

?>
