<?php

require_once("$STPHPLIB_DIR/stphpcomponent.php");

/**
* A class that represents a text area
*
* @version 0.8
* @author Roberto Gerola <roberto.gerola@speedtech.it>
* @package stphplib
*/
class STPHPTextArea extends STPHPComponent
{
        /**
	* Creates the object
	*
	* @access public
	* @return STPHPEdit
	* @param string $name
	*/
        function STPHPTextArea($name)
        {
                STPHPComponent::STPHPComponent($name);
                $this->openTag = '<textarea name="'. $name . '" >';
                $this->closeTag = '</textarea>';
        }
        
	/**
	* Designs the object at runtime
	*
	* Available attributes :
	* - VISIBLE : defines if the component must be designed or not
	* - NAME : defines the name of the form (if empty $name of the object is used)
	* - READONLY : if 'TRUE' the control is readonly
	* - DISABLED : if 'TRUE' the control is disabled
	* - ROWS : the number of rows
	* - COLS: the number of columns
	* - CLASS : defines the CSS class
	*
	* @access private
	* @return string the code that represents the object at runtime
	*/
        function write()
        {
		$retValue = '';
		if($this->getAttribute('VISIBLE') == 'FALSE')
		{
			return '';
		}

                if($this->attributeIsEmpty('NAME'))
		{
			$this->setAttribute('NAME', $this->name);
		}

		$retValue .= '<TEXTAREA';
		
		if(!$this->attributeIsEmpty('NAME'))
                {
			$retValue .= ' NAME="' . $this->getAttribute('NAME') . '" ';
		}

		if($this->getAttribute('READONLY') == 'TRUE')
                {
			$retValue .= ' READONLY ';
		}

		if($this->getAttribute('DISABLED') == 'TRUE')
                {
			$retValue .= ' DISABLED ';
		}

		if(!$this->attributeIsEmpty('ROWS'))
                {
			$retValue .= ' ROWS=' . $this->getAttribute('ROWS') . ' ';
		}

		if(!$this->attributeIsEmpty('COLS'))
                {
			$retValue .= ' COLS=' . $this->getAttribute('COLS') . ' ';
		}

		if(!$this->attributeIsEmpty('CLASS'))
                {
			$retValue .= ' CLASS="' . $this->getAttribute('CLASS') . '" ';
		}

		$retValue .= '>';

		$retValue .= $this->getTranslatedAttribute('TEXT');
		
		$retValue .= '</TEXTAREA>';

                return $retValue;
        }
}

?>
